{ config, pkgs, lib, ... }:

{
  imports = [
    ./hardware-configuration.nix
  ];

  networking.hostName = "phil";

  services.gitea-actions-runner.instances.inst = {
    enable = true;
    name = config.networking.hostName;
    url = "https://git.neet.dev/";
    tokenFile = "/run/agenix/gitea-actions-runner-token";
    labels = [
      # provide a debian base with nodejs for actions
      "debian-latest:docker://node:18-bullseye"
      # fake the ubuntu name, because node provides no ubuntu builds
      "ubuntu-latest:docker://node:18-bullseye"
      # provide native execution on the host
      #"native:host"
    ];
  };
  virtualisation.docker.enable = true;
  age.secrets.gitea-actions-runner-token.file = ../../secrets/gitea-actions-runner-token.age;
}
